## ros-kinetic-ecl-time-lite 0.61.6

=== include/ecl/time_lite/CMakeLists.txt ===
###############################################################################
# Generate Header
###############################################################################
##############################################################################
# Initialisation
##############################################################################


##############################################################################
# Symbol Generation (for ecl/time_lite/config.hpp
##############################################################################

# see ecl_detect_posix and ecl_detect_timers in
# ecl_build/cmake/modules/ecl_platform_detection.cmake

if(ECL_POSIX_HAS_CLOCK_GETTIME)
  set(ECL_PRIVATE_HAS_CLOCK_GETTIME 1)
endif()
if(ECL_POSIX_HAS_CLOCK_NANOSLEEP)
  set(ECL_PRIVATE_HAS_CLOCK_NANOSLEEP 1)
endif()
if(ECL_POSIX_HAS_CLOCK_MONOTONIC)
  set(ECL_HAS_CLOCK_MONOTONIC 1)
endif()
if(ECL_POSIX_HAS_CPUTIME)
  set(ECL_HAS_CPUTIME 1)
endif()
if(ECL_PLATFORM_HAS_MACH_TIMERS)
  set(ECL_HAS_MACH_TIMERS 1)
endif()
if(ECL_PLATFORM_HAS_WIN_TIMERS)
  set(ECL_HAS_WIN_TIMERS 1)
endif()
if(ECL_PLATFORM_HAS_RT_TIMERS)
  set(ECL_HAS_RT_TIMERS 1)
endif()
if(ECL_PLATFORM_HAS_POSIX_TIMERS)
  set(ECL_HAS_POSIX_TIMERS 1)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.hpp.in ${CATKIN_DEVEL_PREFIX}/include/ecl/time_lite/config.hpp)

##############################################################################
# Files
##############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)

install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/time_lite)
install(FILES ${CATKIN_DEVEL_PREFIX}/include/ecl/time_lite/config.hpp DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/time_lite)

=== debian/changelog ===
ros-kinetic-ecl-time-lite (0.61.6-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Jun 2016 00:00:33 -0000

ros-kinetic-ecl-time-lite (0.61.1-0xenial) xenial; urgency=high

  * support get_date_string on macosx.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 25 Jul 2015 15:00:00 -0000

ros-kinetic-ecl-time-lite (0.61.0-0xenial) xenial; urgency=high

  * unique get date string function for unique filename creation.
  * optional flag for getting real time instead of monolithic posix time (this syncs with ROS)

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 11 Sep 2014 15:00:00 -0000

ros-kinetic-ecl-time-lite (0.60.1-0xenial) xenial; urgency=high

  * update to catkin's CFG_EXTRAS for easy to find cmake modules.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 28 Jan 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ecl-time-lite
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-build, ros-kinetic-ecl-config, ros-kinetic-ecl-errors, ros-kinetic-ecl-license
Homepage: http://wiki.ros.org/ecl_time_lite
Standards-Version: 3.9.2

Package: ros-kinetic-ecl-time-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-build, ros-kinetic-ecl-config, ros-kinetic-ecl-errors, ros-kinetic-ecl-license
Description: Provides a portable set of time functions that are especially useful for porting other code or being wrapped by higher level c++ classes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ecl-time-lite//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
